# Relax calculations

Each folder contains python script to run the relax calculations for each functional mentioned in the manuscript, namely: LDA, PBE, PBEsol, PBEsol+U, PBEsol+U+V, HSE, PBE0. The folders report the name of the functional or a descriptive name, i.e. Hybrids for HSE and PBE0, Hubbard for PBEsol+U(+V).

## How to run relax calculations

To run the python scripts, you need to install all the needed dependencies reported in the _How to reproduce_ section of the main README.md file, and to import the `archive.aiida` database. 

You may need to install the pseudopotentials. If this was the case, you can install them using `aiida-pseudo`. 

For instance, for SSSP pseudos:

```
aiida-pseudo install sssp -x PBEsol -v 1.1
```

while for PseudoDojo:

```
aiida-pseudo install pseudo-dojo -x LDA -v 0.4 -p stringent -r SR -f upf
```

## How to run self-consistent Hubbard parameters

The self-consistent Hubbard parameters have been obtained via a private plugin called `aiida-quantumespresso-hp`. This plugin is still private, although all the provenance of the calculations can still be explored to verify and reproduce the self-consistent convergence of such parameters, e.g. by bash scripts.

Such plugin is expected to be released open-source by mid-2024.

Despite this limitation, the self-consistent Hubbard parameters and optimized structures for PBEsol+U(+V) to run the infrared and Raman calculations can be used, and can be found in the AiiDA database and in the scripts to reproduce the calculations, along with their UUID.

Their self-consistent parameters are:
- U_sc:
    - Nb: 3.25 eV
- U_sc + V_sc:
    - Nb: 3.63 eV
    - Nb-O: 0.941-1.012 eV

To visualize the content of U+V parameters:

```console
verdi data core.singlefile content aab8b8c2-2e9e-4f80-a5e4-4ababca4633e
```