# Spectra calculations

Python scripts to run the spectra and average spectra calculations for each functional mentioned in the manuscript, namely: LDA, PBE, PBEsol, PBEsol+U, PBEsol+U+V, HSE, PBE0. The folders report the name of the functional or a descriptive name, i.e. Hybrids for HSE and PBE0, Hubbard for PBEsol+U(+V). The scripts run automatically all the functionals at the same time.

The main output of the IRamanSpectraWorkChain is a VibrationalData node. In this case, where the numerical accuracy is of 2nd order, such output can be obtained via:

```
vibrational_data = load_node(ID).outputs.vibrational_data.numerical_accuracy_2 # ID is either the PK or UUID of the IRamanSpectraWorkChain
```

## How to run

To run the python scripts, you need to install all the needed dependencies reported in the _How to reproduce_ section of the main README.md file, and to import the `archive.aiida` database.

You may need to install the pseudopotentials. If this was the case, you can install them using `aiida-pseudo`. 

For instance, for SSSP pseudos:

```
aiida-pseudo install sssp -x PBEsol -v 1.1
```

while for PseudoDojo:

```
aiida-pseudo install pseudo-dojo -x LDA -v 0.4 -p stringent -r SR -f upf
```