#!/bin/bash
#SBATCH --job-name=EPSDIFF
#SBATCH --nodes=8
#SBATCH --ntasks-per-node=40
#SBATCH --cpus-per-task=1
#SBATCH --ntasks-per-core=1
#SBATCH --time=01:00:00
#SBATCH --partition=medium40:test
#SBATCH --account=hbi00059
#SBATCH -o std.out
#SBATCH -e std.err


module load anaconda3
module load intel/18.0.5
module load impi/2018.4
module load hdf5-parallel/impi/intel/1.10.5

export SLURM_CPU_BIND=none
export OMP_NUM_THREADS=1


for line in $(cat ./k_points); do
	echo "======== $line $line $line ==========" >> dielectrics
	python ./run_fdiff.py -k "$line" >> dielectrics
done


